2004-03-30  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0.1

2004-03-23  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0

2004-03-11  Jody Goldberg <jody@gnome.org>

	* Release 2.5.4

2004-03-02  Dan T. Murphy  <dtmurphy@acm.org>

	* file-types-properties.glade: Added use_filechooser=true
	property to GnomeFileEntry widgets to make use of new file
	selector. Fixes bug #135791.

2004-02-19  Kaushal Kumar  <kaushal.kumar@wipro.com>

	* file-types-capplet.c (remove_cb): Added warning dialog to prompt
	the user before an entry is deleted permanently. (Release team's 
	approval taken regarding the string addition).
	Fix bug #109091.

2004-02-16  Padraig O'Briain <padraig.obriain@sun.com>

	* file-types-properties.glade: Remove unnecessary setting of ATK 
	relations. The module gail will ensure that the labels are set
	correctly. Set mnemonic widget to be a GnomeFileEntry instead of 
	a GtkEntry in the combo box. Fixes bug #134131.

2004-02-13  Jody Goldberg <jody@gnome.org>

	* Release 2.5.3

2004-02-10  Jody Goldberg <jody@gnome.org>

	* mime-type-info.c : rework to match nautilus and use icon themes
	  somewhat.  There is some serious cruft left in here.

2004-02-04  Jody Goldberg <jody@gnome.org>

	* mime-edit-dialog.c (mime_edit_dialog_class_init) : do not call these
	  construct only properties so that the info can change later.

2004-02-12  Mark McLoughlin  <mark@skynet.ie>

	* file-types-capplet.c: (cb_file_type_dialog_response): Update help
	link to point to user-guide.xml

2004-02-10  Kjartan Maraas  <kmaraas@gnome.org>

	* mime-edit-dialog.c: (mime_edit_dialog_get_app), (validate_data):
	Fix some typos.

2004-02-08  Kjartan Maraas  <kmaraas@gnome.org>

	* mime-edit-dialog.c: (validate_data): Remove extra
	full stop. Closes bug #132563.

2004-02-08  Kjartan Maraas <kmaraas@gnome.org>

	* file-types-icon-entry.c: Replace deprecated calls
	to g_dirname and g_basename.
	(#133174, Kjartan Maraas)

2004-01-20 Sivaiah Nallagatla <snallagatla@novell.com>

	* mime-edit-dialog.c (mime_add_dialog_new ) : do not try to set
	construct only property after object is constructed. Fixes #128374
	
2004-01-14  Jody Goldberg <jody@gnome.org>

	* Release 2.5.2

2003-12-30  Jody Goldberg <jody@gnome.org>

	* Release 2.5.1.1

2003-12-30  Jody Goldberg <jody@gnome.org>

	* Release 2.5.1

2003-12-03  Muktha  <muktha.narayan@wipro.com>

	* file-types-properties.glade: Added the label-for/by relation.
	Fixes #127304.

2003-12-01  Sivaiah Nallagatla  <snallagatla@novell.com>
	
	* service-info.c (service_info_save): Patch to remeber 
	custome program configured for Internet Services. #123976 in b.g.o

Mon Nov 17 00:13:07 2003  Jonathan Blandford  <jrb@gnome.org>

	* service-edit-dialog.c (populate_app_list): Patch from
	snallagatla@novell.com to fix a crash.

2003-10-28  Jody Goldberg <jody@gnome.org>

	* Release 2.5.0

2003-10-07  Muktha  <muktha.narayan@wipro.com>

	* file-types-properties.glade: Added title to the icon entry browse
	dialog. Fixes #122394.

2003-08-01  Dennis Cranston  <dennis_cranston at yahoo com>

	* file-types-properties.glade: Patch to fix spacing between action 
	area and vbox of preferences dialog.

2003-07-17  Dennis Cranston <dennis_cranston at yahoo com>

	* file-types-properties.glade:  Minor HIG widget padding adjustments.

2003-07-07  Jody Goldberg <jody@gnome.org>

	* Release 2.3.4

2003-06-24  Jody Goldberg <jody@gnome.org>

	* Release 2.3.3

2003-06-06  Jody Goldberg <jody@gnome.org>

	* mime-edit-dialog.c (populate_component_list) : be careful about menu
	  sensitivity, the order is important.  Setting the menu of an option
	  menu makes it sensitive even if the menu is empty).  However, if the
	  option menu is initially insensitive then the first item in the menu
	  gets marked insensitive when the menu is reparented.  Once one item
	  is in the option menu becomes sensitive and the rest are ok.

2003-06-02  Balamurali Viswanathan <balamurali.viswanathan@wipro.com>

	* mime-edit-dialog.c: (validate_data): Give an error dialog if the 
	users clicks on OK button when the MIME type is not entered
	Fixes bug #113963

2003-05-07  Jody Goldberg <jody@gnome.org>

	* Release 2.3.1

2003-04-30  Kjartan Maraas  <kmaraas@gnome.org>

	* service-info.c: (service_info_get_description): Translate
	the url descriptions too. Merged from head.

2003-04-30  Kjartan Maraas  <kmaraas@gnome.org>

	* mime-type-info.c: (mime_type_get_pretty_name_for_server),
	(get_lang_list): Fix i18n problems. Patch from Mike Lei at Sun.
	Fixes bug #105700.

2003-04-29  Kjartan Maraas  <kmaraas@gnome.org>

	* mime-type-info.c: (mime_category_info_get_full_name),
	(mime_category_info_get_full_description): Use g_string_new (NULL)
	instead of g_string_new (""). Reported to be more efficient.

Tue Feb  4 17:09:18 2003  Jonathan Blandford  <jrb@redhat.com>

	* Release 2.2.0.1

Tue Jan 21 01:15:14 2003  Jonathan Blandford  <jrb@gnome.org>

	* Release 2.2.0

Thu Jan 16 02:41:09 2003  Jonathan Blandford  <jrb@gnome.org>

	* Release 2.1.7

2003-01-10  Jody Goldberg <jody@gnome.org>

	* Release 2.1.6

2002-12-30  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=101128
	* mime-types-model.c (mime_types_model_iter_children) : apply patch
	  from padraig.

2002-12-18  Jody Goldberg <jody@gnome.org>

	* Release 2.1.5

2002-12-09  Rajkumar Sivasamy <rajkumar.siva@wipro.com>

	* mime-edit-dialog.c: Display the list of applications installed 
	  in the system for a mime type rather than displaying all the 
	  applications associated to that mime type.
	  Fixes bug 94757

2002-11-23  Jody Goldberg <jody@gnome.org>

	* Release 2.1.3

2002-11-02  Jody Goldberg <jody@gnome.org>

	* Release 2.1.2

2002-10-21  Jody Goldberg <jody@gnome.org>

	* Release 2.1.1

2002-10-03  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=93279
	* file-types-properties.glade : missing & conflicting accerators.

	http://bugzilla.gnome.org/show_bug.cgi?id=93211
	* file-types-capplet.c (edit_count_cb) : delete.
	(selection_count_cb) : rename from remove_count_cb.
	(selection_changed_cb) : simplify code, disable edit button for
	  catagories.

2002-10-01  Jody Goldberg <jody@gnome.org>

	* Release 2.1.0.1

2002-09-09  Jody Goldberg <jody@gnome.org>

	* mime-edit-dialog.c (update_sensitivity) : As FCrozat points out
	  use category default has been lobotomized.

2002-08-31  Jacob Berkman  <jacob@krunk.local.>

	* Makefile.am (gnome_file_types_properties_LDADD): link against -lpopt

2002-08-21  Jody Goldberg <jody@gnome.org>

	* Release 2.1.0

2002-08-19  Ross Burton  <ross@burtonini.com>

	* file-types.desktop.in: Fix the desktop file so that it
	validates.

2002-08-19  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=88354
	* file-types.desktop.in : minor update

2002-08-10  Jody Goldberg <jody@gnome.org>

	* file-types-properties.glade : fix missed capitalization for the
	ui-review.

2002-08-07  Jody Goldberg <jody@gnome.org>

	* mime-edit-dialog.c (mime_edit_dialog_get_app) : Be extra anal, just
	  in case the db is corrupt.

2002-08-05  Jody Goldberg <jody@gnome.org>

	* mime-edit-dialog.c (mime_edit_dialog_get_app) : work around
	  gnome_file_entry's propensity for prepending the current dir if none
	  is specified.  This allows a user to type a nme with no
	  qualifications and have it look things up in the path.

	* mime-type-info.c (mime_category_info_save) : lobotomize this just in
	  case.

2002-08-03  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=88775
	* file-types-properties.glade : make the other sub dialogs modal too.

2002-08-01  Federico Mena Quintero  <federico@ximian.com>

	* file-types-properties.glade: Made the file entries modal as they
	live in modal dialogs.  Fixes #89370.

	* service-edit-dialog.c (service_add_dialog_new): Return a
	GObject, not a GtkWidget.

	* file-types-capplet.c (add_service_cb): Do not assign a GtkWidget
	to a GObject.

2002-07-17  Jody Goldberg <jody@gnome.org>

	* mime-type-info.c (mime_type_info_new) : no need to preload the icon.
	(mime_type_info_load_all) : nor here.

2002-07-17  Jody Goldberg <jody@gnome.org>

	* file-types-properties.glade : tweak the padding a touch

2002-07-17  Jody Goldberg <jody@gnome.org>

	* mime-edit-dialog.c (mime_edit_dialog_init) : only enable the remove
	  button when there is a selection.

2002-07-16  Jody Goldberg <jody@gnome.org>

	* file-types-properties.glade (</) : rearrange the extensions area.
	* mime-edit-dialog.c (mime_edit_dialog_init) : add when the entry is
	  activated.

2002-07-10  Jody Goldberg <jody@gnome.org>

	* mime-edit-dialog.c (mime_edit_dialog_init) : set the icon here.

2002-07-09  Jody Goldberg <jody@gnome.org>

	* file-types-properties.glade : disable the use of category defaults
	* file-types-capplet.c (launch_edit_dialog) : disable editing category
	  handlers.

2002-06-26  Jody Goldberg <jody@gnome.org>

	* mime-type-info.c (mime_type_info_load_all) : do not trust
	  gnome_vfs_mime_get_default_application.  It silently removes
	  applications that do not exist on the current system.  That makes it
	  look like they are not being assigned.
	(mime_category_info_save) : be anal.

	* mime-edit-dialog.c (validate_data) : relax the restriction here.  By
	  supplying a reasonable default to the new info it was appearing in
	  our internal data structures.  That was a useful test before we were
	  instant apply, but is no longer helpful.

2002-06-26  Jody Goldberg <jody@gnome.org>

	* file-types-capplet.c (main) : blah, test things _before_ I commit.

2002-06-25  Jody Goldberg <jody@gnome.org>

	* mime-edit-dialog.c (mime_add_dialog_new) : add de

	* file-types-capplet.c (main) : fix cmd line arg support
	  And support optional 'file_name' as a helper for generating smarter
	  defaults.

2002-06-25  Jody Goldberg <jody@gnome.org>

	* mime-edit-dialog.c (mime_edit_dialog_get_app) : typo.

2002-06-15  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=85397
	http://bugzilla.gnome.org/show_bug.cgi?id=84545
	* mime-types-model.c (mime_types_model_get_value) :
	  gtk_tree_view_search_equal_func does not like NULL.
	(IS_CATEGORY) : check for NULL.
	* file-types-capplet.c (create_dialog) : search the description not
	  the mime type.

2002-06-08  Jody Goldberg <jody@gnome.org>

	* mime-types-model.c (IS_CATEGORY) : test for null in case we are
	  stupid.

2002-06-07  Jody Goldberg <jody@gnome.org>

	* file-types-capplet.c (dialog_done_cb) : no need to save things
	  again.  The only caller had already done that.

	* mime-type-info.c (mime_type_info_save) : Don't mess with the
	  application here, it should already be setup.  However, be really
	  really anal about verifying it because I do not trust the
	  surrounding code or know it well enough to trust it.  Make sure that
	  the assigned app is on the short list of associated apps.

	* mime-category-edit-dialog.c (store_data) : Use
	  mime_edit_dialog_get_app.
	* mime-edit-dialog.c (store_data) : Use it here too.
	(mime_edit_dialog_get_app) : new.  split some duplicated code out of
	  the type and category dialogs and move it here.  Then make it
	  readable and less stupid about creating copies of existing
	  applications.  While we're at it have it handle the creation of new
	  applications, merging commands with existing applications and other
	  useful stuff.

2002-06-07  Jody Goldberg <jody@gnome.org>

	* mime-category-edit-dialog.c (store_data) : clarify and remove the
	  custom flag.

	* mime-type-info.c (mime_category_info_using_custom_app) : delete.
	(mime_type_info_using_custom_app) : delete.

	* mime-edit-dialog.c (validate_data) : correct the warning about
	  invalid type, we would _not_ create one for the user :-(
	  Allow a user to optionally overwrite an existing mime type.
	  This is useful when editing.
	* mime-edit-dialog.c (store_data) : clarify and remove the custom flag.

2002-06-17  Jody Goldberg <jody@gnome.org>

	* Release 2.0.0

2002-06-05  Jody Goldberg <jody@gnome.org>

	* mime-edit-dialog.c (mime_add_dialog_new) : tidy.

	* mime-edit-dialog.c (mime_edit_editable_enters) : new.
	(fill_dialog) : mime type is always sensitive.
	(mime_edit_dialog_init) : use mime_edit_editable_enters and set the
	  default response.
	(mime_add_dialog_new) : forceably define the model before is-add and
	  set the parent.


	* model-entry.c (model_entry_insert_child) : be paranoid.  Sort the
	  mime entries too.

	* file-types-capplet.c (main) : !KLUDGE! if we are editing
	  application/octet-stream assume that people really want to create a
	  new mime type.

2002-06-04  Jody Goldberg <jody@gnome.org>

	* mime-type-info.c (mime_type_info_save) : Add a freeze/thaw around
	  the assignments.

2002-05-31  Jody Goldberg <jody@gnome.org>

	* mime-type-info.c (get_category_name) : disable debug spew.

	* model-entry.c (model_entry_insert_child) : order the categories
	nicely.

2002-05-31  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=83545
	* mime-types-model.c (mime_types_model_iter_parent) : Use the child
	  not the result.

2002-05-29  Jody Goldberg <jody@gnome.org>

	* mime-type-info.c (get_category_description) : put things in Misc if
	  they have no defined category.
	(get_category_name) : ditto.

2002-05-24  Satyajit Kanungo <satyajit.kanungo@wipro.com>

	* file-types-capplet.c : Changed the help file link
	  to get the help document from user-guide.

2002-05-24  Jody Goldberg <jody@gnome.org>

	* mime-type-info.c (mime_category_info_load_all) : make this more paranoid.
	* mime-category-edit-dialog.c (update_subcategories) : Move this over
	  here.

2002-05-17  Jody Goldberg <jody@gnome.org>

	* mime-type-info.c (mime_category_info_using_custom_app) : add some
	  protection.

2002-05-08  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=17728
	(mime_type_info_save): a patch inspired by Archit Baweja's proposal.

2002-05-09  Archit Baweja  <bighead@users.sourceforge.net>

	* mime-type-info.c (mime_type_info_set_file_extensions): free the old
	list.

2002-05-10  jacob berkman  <jacob@ximian.com>

	* mime-type-info.c (mime_category_info_get_full_description): 
	(mime_category_info_get_full_name): work around a gcc 2.96 bug
	(fixes #77121)

2002-05-08  Jody Goldberg <jody@gnome.org>

	* file-types-capplet.c (cb_file_type_dialog_response) : fix path to
	help.

	http://bugzilla.gnome.org/show_bug.cgi?id=81030
	* service-info.c (fill_service_apps) : we don't own the app, don't
	  free it.

2002-04-30  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=80327
	* service-edit-dialog.c (program_changed_cb) : Doh! If the current
	tree selection is not a service then the app can be null.

2002-04-26  Jody Goldberg <jody@gnome.org>

	* service-edit-dialog.c (populate_app_list) : always populate the
	  details fields so a user can see what they selected.
	(program_changed_cb) : ditto.

	* service-info.c (fill_service_apps) : fix to not use freed memory.

2002-04-23  Jody Goldberg <jody@gnome.org>

	* model-entry.c (model_entry_save) : wrap in vfs freeze/unfreeze.
	(model_entry_append_to_dirty_list) : delete.
	(model_entry_remove_from_dirty_list) : delete.
	(model_entry_commit_dirty_list) : delete.
	(model_entry_append_to_delete_list) : delete.
	(model_entry_commit_delete_list) : delete.

	* mime-category-edit-dialog.c (store_data) : make this instant apply.
	* mime-edit-dialog.c (store_data) : ditto.
	* service-edit-dialog.c (store_data) : ditto.

	* file-types-capplet.c (cb_file_type_dialog_response) : add help and
	  change the buttons to help & close to be HIG compliant.
	(remove_cb) : make removal apply instantly.
	* file-types-properties.glade : Make the buttons Help & Close

2002-04-22  Jody Goldberg <jody@gnome.org>

	* mime-edit-dialog.c (validate_data) : tidy up.
	(choose_cat_cb) : reorder buttons to be hig compliant.
	(mime_edit_dialog_init) : ditto.
	* service-edit-dialog.c (service_edit_dialog_init) : ditto.
	* mime-category-edit-dialog.c (mime_category_edit_dialog_init) : ditto.

2002-04-22  Jody Goldberg <jody@gnome.org>

	* service-edit-dialog.c (service_edit_dialog_set_prop) : set dialog
	  title correctly when adding a service.
	* mime-edit-dialog.c (mime_edit_dialog_set_prop) : ditto.

2002-04-21  Jody Goldberg <jody@gnome.org>

	* service-info.c (fill_service_apps) : Use the new hook in
	  gnome_vfs_application_registry_get_applications to actually retrieve
	  all the applications rather than just pretending.

2002-04-21  Jody Goldberg <jody@gnome.org>

	* service-edit-dialog.c (service_edit_dialog_init) : fully disable the
	  already disable 'check content' field.  What the heck is this supposed
	  to do ?
	(fill_dialog) : ditto.
	(setup_add_dialog) : ditto.
	(store_data) : ditto.
	* file-types-properties.glade : ditto.  Having user visible widgets
	  that don't do anything is not a good idea.

2002-04-18  Jody Goldberg <jody@gnome.org>

	* file-types-capplet-dialogs.c (initialize_edit_applications_dialog) :
	  Add some accelerators to buttons.
	(nautilus_mime_type_capplet_show_change_extension_window) : ditto.
	(run_edit_or_new_application_dialog) : and to checkboxes
	(create_application_list_item) : simplify.  No need for a label and a
	  checkbox in an hbox.

	* file-types-properties.glade : Add some accelerators to buttons and
	  checkboxes.

2002-04-12  Jody Goldberg <jody@gnome.org>

	* mime-type-info.c (mime_type_info_save) : revert part of Lauris's
	  changes that were stripping off the first character of the category.

Wed Apr 10 18:04:10 2002  Jonathan Blandford  <jrb@gnome.org>

	* file-types.desktop.in (Exec): s/gnome2/gnome

2002-04-10  Jody Goldberg <jody@gnome.org>

	* mime-type-info.c (get_category) : make case insensitive.

2002-04-07  Jody Goldberg <jody@gnome.org>

	* file-types-properties.glade : assign response ids to the buttons.

	* file-types-capplet.c (apply_cb) : delete and merge into.
	(cb_file_type_dialog_response) : here.
	(create_dialog) : connect to reponse here.
	(main) : rather than connecting to buttons directly here.

	* mime-edit-dialog.c (validate_data) : actually display the dialog.
	(fill_dialog) : Add some protection.
	(safe_set_entry) : new safety utility.

2002-04-07  Bradford Hovinen  <hovinen@ximian.com>

	* model-entry.c (model_entry_remove_child): Don't signal row
	deleted or reset tmp->next if the child node was not found

2002-04-02  jacob berkman  <jacob@ximian.com>

	* service-edit-dialog.c (fill_dialog): show 'unknown' in the
	protocol name for the unknown protocol
	(validate_data): actually run and destroy the error dialogs

2002-03-30  Jody Goldberg <jody@gnome.org>

	* mime-edit-dialog.c (populate_component_list) : add some protection
	  for when there is no default.

2002-03-30  Lauris Kaplinski  <lauris@ximian.com>

	* service-info.c: Added ghelp
	(service_info_using_custom_app): Fix crash

	* mime-type-info.c (mime_type_info_save): Strip starting slash

	* mime-edit-dialog.c (store_data): Strip starting slash

2002-03-08  Lauris Kaplinski  <lauris@ximian.com>

	* mime-type-info.c (mime_type_info_using_custom_app): Return TRUE
	if default_action does not exist (it is better than crash)

	* mime-edit-dialog.c (store_data): Create default_action if there is none

2002-02-27  Kjartan Maraas  <kmaraas@gnome.org>

	* file-types-applet.c: s/PACKAGE/GETTEXT_PACKAGE/g
	
2002-02-20  Mark McLoughlin  <mark@skynet.ie>

	* file-types.desktop.in: use the proper executable name.

2002-02-17  Bradford Hovinen  <hovinen@ximian.com>

	* mime-type-info.c (get_icon_pixbuf): Try to find the icon from
	the MIME type.
	(mime_type_info_get_icon_path): Fetch the icon name from the MIME
	type if necessary
	(get_icon_pixbuf): Call get_real_icon_path
	(get_real_icon_path): Implement. Factor from
	mime_type_info_get_icon_path
	(mime_type_info_get_icon_path): Call get_real_icon_path
	(mime_type_info_new): Retrieve the icon here

	* mime-types-model.c (mime_types_model_get_value): Set the object
	value to NULL if the icon is NULL

	* mime-type-info.c (get_icon_pixbuf): Give up if it can't find
	nautilus/i-regular-24.png
	(mime_type_info_get_icon): Only ref the pixbuf if non-NULL

	* mime-category-edit-dialog.c (fill_dialog): Fill the name entry
	with the description, not the name field

	* mime-types-model.c (mime_types_model_get_value): Use description
	field when returning the description column for a category

	* mime-type-info.c (mime_type_info_set_category_name): Accept
	pointer to category description and pass that to get_category
	(mime_category_info_new): Initialize description; accept pointer
	to description
	(get_category): Accept a pointer to the description and initialize
	the category with that as well if necessary
	(get_category_description): Implement. Copy from
	get_category_name, but use the translated description name

	* mime-type-info.h (struct _MimeCategoryInfo): Add description
	field; holds the translated name

	* mime-type-info.c (mime_category_info_get_full_description):
	Implement. Copy from mime_category_info_get_full_name, but use
	description field rather than name field
	(mime_type_info_get_category_name): Use _get_full_description
	rather than _get_full_name

2002-02-04  Lauris Kaplinski  <lauris@ximian.com>

	* service-edit-dialog.c (setup_add_dialog): Use gtk_menu_shell_append
	(validate_data): Use gtk_message_dialog methods

	* mime-category-edit-dialog.c (populate_application_list): Use
	gtk_menu_shell_append

	* mime-edit-dialog.c (setup_add_dialog): Use gtk_menu_shell_append
	(validate_data): Use gtk_message_dialog methods

	* mime-type-info.c: #include <string.h>, kill warning
	(mime_type_info_get_icon_path): Use g_file_test

2002-01-29  Bradford Hovinen  <hovinen@ximian.com>

	* file-types-capplet.c (create_dialog): Pack the icon and
	description in the same column

2002-01-28  Duarte Loreto <happyguy_pt@hotmail.com>

        * mime-edit-dialog.c: Fixed a i18n glitch (missing space between two words)

2002-01-28  Bradford Hovinen  <hovinen@ximian.com>

	* service-edit-dialog.c (populate_app_list): Set custom program
	entry and needs terminal here

	* service-info.c (service_info_using_custom_app): Implement

	* service-edit-dialog.c (populate_app_list): Add destroy notify
	for app

	* service-info.[ch]: Eliminate custom_line and needs_terminal; use
	app for that

	* mime-edit-dialog.c (populate_application_list): Use
	gnome_vfs_application_registry_get_applications

	* mime-type-info.c (mime_type_info_using_custom_app) 
	(mime_category_info_using_custom_app): Implement

	* mime-edit-dialog.c (store_data): Update: don't use custom_line,
	needs_terminal

	* mime-type-info.[ch]: Eliminate custom_line and needs_terminal;
	will use default_action for that now

	* mime-category-edit-dialog.c (store_data): Set fields in
	default_action from custom_line

	* mime-type-info.c (mime_category_info_save): Don't set tmp1 with
	the full category name, free tmp too
	(mime_category_info_load_all): strdup app->command
	(get_gconf_base_name): Don't put /default-action-id after the key
	name
	(mime_category_info_load_all): Set default_action even if the app
	is custom

	* category-names.h: Update category names

	* mime-type-info.c (update_subcategories): Fix logic
	(mime_type_info_load_all): Don't load default_action if
	custom_line is set

	* mime-category-edit-dialog.c (store_data): Call
	mime_category_info_update
	(store_data): Don't notify the model -- nothing there could have
	changed

	* mime-type-info.c (mime_category_info_update): Implement
	(update_subcategories): Update; split from set_subcategory_ids

	* mime-category-edit-dialog.c (populate_application_list): Notify
	destruction with gnome_vfs_mime_application_free
	(store_data): Store default action
	(store_data): Store custom line, needs terminal
	(populate_application_list): Set needs_terminal_toggle

	* mime-type-info.c (mime_type_info_get_use_category):
	Implement. Factor from mime_type_info_load_all
	(find_possible_supported_apps, reduce_supported_app_list): Use
	mime_type_info_get_use_category
	(get_gconf_base_name): Replace parentheses with '-'
	(mime_category_info_load_all): Only load default action, custom
	line if not already loaded

	* mime-edit-dialog.c (populate_component_list): Use get_all_components
	(populate_application_list): Use get_all_applications

2002-01-27  Seth Nickell  <snickell@stanford.edu>

	* file-types.desktop.in:

	Add Categories field. 

2002-01-27  Bradford Hovinen  <hovinen@ximian.com>

	* file-types-capplet.c (dialog_done_cb): Implement
	(main): Connect to dialog_done_cb

	* mime-edit-dialog.c (mime_edit_dialog_class_init): Add done
	signal
	(response_cb): Emite done signal

	* mime-type-info.c (mime_type_info_save, mime_type_info_load_all):
	Change use-category to use_category_default

	* file-types-capplet.c (main): Accept command line argument with
	the MIME type

	* service-info.c (service_info_load_all): Always set run_program
	to TRUE

	* service-edit-dialog.c (fill_dialog): Disable look at content toggle

	* mime-type-info.c (mime_category_info_load_all): Call
	_get_mime_application

	* mime-types-model.c (mime_types_model_get_value): Invoke gettext
	macro on the category name

	* mime-type-info.c (get_gconf_base_name): Implement

	* mime-category-edit-dialog.c (fill_dialog): Disable
	use_category_toggle if this is a toplevel category
	(populate_application_list, default_action_changed_cb)
	(use_category_toggled_cb, update_sensitivity): Set widget
	sensitivity based on various values

	* mime-type-info.c (mime_type_info_load_all)
	(mime_category_info_load_all): Check use_[parent_]cat_loaded
	(mime_category_info_load_all): Override use_parent_category with
	FALSE if this is a toplevel category

	* mime-category-edit-dialog.c (store_data, fill_dialog): Get/set
	use_parent_category

	* mime-type-info.c (set_subcategory_ids): Don't set subcategory
	ids unless use_parent_category is set
	(mime_category_info_save, mime_category_info_load_all): Get/set
	use_parent_category
	(reduce_supported_app_list, find_possible_supported_apps): Check
	use_parent_category field

	* mime-edit-dialog.c (choose_cat_cb): Use
	mime_category_info_get_full_name

	* mime-type-info.c (mime_type_info_load_all, mime_type_info_save):
	Rename override_category as use_category; give it the opposite
	meaning
	(reduce_supported_app_list, find_possible_supported_apps): Update
	according to the above
	(set_subcategory_ids): Implement
	(mime_category_info_save): Implement
	(mime_category_info_load_all): Implement
	(mime_category_info_get_full_name): Implement; copy from
	mime_type_info_get_category_name
	(mime_type_info_get_category_name): Call
	mime_category_info_get_full_name

	* mime-edit-dialog.c (fill_dialog): Set
	use_category_defaults_toggle
	(store_data): Set override_category
	(mime_edit_dialog_init): Connect to
	use_category_defaults_toggled_cb
	(use_category_defaults_toggle_cb): Implement
	(default_action_changed_cb, populate_application_list)
	(populate_component_list): Call update_sensitivity; set
	sensitivity-controlling flags
	(update_sensitivity): Implement

	* mime-type-info.c (find_possible_supported_apps)
	(reduce_supported_app_list): Don't consider a MIME type if its
	override_category flag is set
	(mime_type_info_save): Set the override-category flag
	(mime_type_info_load_all): Load the override-category flag

	* service-edit-dialog.c (validate_data): Call get_service_info to
	handle case where the service was created and not yet committed
	(fill_dialog): Desensitize the look at content toggle if GnomeVFS
	doesn't support that protocol

	* mime-type-info.c (get_mime_type_info, get_mime_type_info_int):
	Implement

	* mime-edit-dialog.c (validate_data): Check if the MIME type is
	already known and we are adding a new type

	* service-edit-dialog.c (service_edit_dialog_init): Change dialog
	title

	* file-types-capplet.c (edit_count_cb): Rename from count_cb
	(selection_changed_cb): Initialize count
	(selection_changed_cb): Iterate on remove_count_cb and use that to
	set the sensitivity of the remove button
	(create_dialog): Desensitize the remove button

	* model-entry.c (model_entry_insert_child): Set the parent field
	(model_entry_remove_child): Reset the parent field
	(model_entry_remove_child): Set up the path before removing the
	entry from the list

	* service-info.c (load_all_services): Accept model
	(get_services_category_entry): Accept model
	(service_info_new): Accept model
	(get_services_category_entry): Set the parent pointer

	* model-entry.c (get_model_entries): Accept model

	* mime-type-info.c (mime_type_info_new, load_all_mime_types):
	Accept model

	* mime-edit-dialog.c (store_data): Don't perform notification

	* model-entry.c (model_entry_insert_child) 
	(model_entry_remove_child): Perform notification here

	* mime-type-info.c (mime_type_info_set_category_name): Accept
	model for notification purposes
	(get_category): Ditto; notify the model that the new category has
	been created

	* mime-types-model.c (mime_types_model_iter_parent): Make the
	iterator invalid if the parent is the root node

	* mime-edit-dialog.c (collect_filename_extensions): Return NULL if
	there are no nodes in the tree at all

2002-01-26  Bradford Hovinen  <hovinen@ximian.com>

	* service-edit-dialog.c (response_cb): Free the structure if the
	user clicks cancel and this is an add dialog

	* mime-edit-dialog.c (response_cb): Free the structure if the user
	clicks cancel and this is an add dialog

	* service-info.c (load_all_services): Call
	model_entry_insert_child here
	(service_info_new): Don't call model_entry_insert_child
	(get_services_category_entry): Make this public

	* service-edit-dialog.c (store_data): Call
	model_entry_insert_child here

	* file-types-capplet.c (apply_cb): Call
	model_entry_commit_delete_list

	* model-entry.c (model_entry_remove): Implement
	(model_entry_append_to_delete_list) 
	(model_entry_commit_delete_list): Implement

	* mime-type-info.c (intersect_lists, reduce_supported_app_list) 
	(mime_category_info_find_apps): Implement
	(find_possible_supported_apps): Implement

	* mime-category-edit-dialog.c (mime_category_edit_dialog_init):
	Use mime_category_edit_widget for the dialog source

	* model-entry.c (model_entry_remove_from_dirty_list): Accept a
	ModelEntry structure

	* mime-category-edit-dialog.c (store_data): Call
	model_entry_append_to_dirty_list

	* service-edit-dialog.c (store_data): Call
	model_entry_append_to_dirty_list

	* service-info.c (service_info_new): Remove changeset
	(get_string, get_bool): Remove changeset support
	(set_string, set_bool): Ditto

	* file-types-capplet.c: Remove the changeset since it duplicates
	functionality already present elsewhere

	* model-entry.c: Move dirty list from mime-type-info.c to here;
	extend to support arbitrary model entries

	* mime-type-info.c (mime_type_info_new_category): Rename to
	mime_category_info_new; return MimeCategoryInfo
	(mime_category_info_new): Set parent to root node if it is NULL
	(get_category): Return a MimeCategoryInfo
	(mime_type_info_category_find_supported_apps): Rename to
	mime_type_info_find_apps

	* mime-type-info.h (struct _MimeCategoryInfo): Create new structure

	* mime-category-edit-dialog.c: Change iter property back to info
	(fill_dialog): Desensitize description, mime type entries

	* service-edit-dialog.c: Change iter property back to info
	(validate_data): Don't check duplicate directory unless this is an
	add dialog

	* mime-edit-dialog.c: Change iter property back to info

2002-01-25  Bradford Hovinen  <hovinen@ximian.com>

	* service-edit-dialog.c (store_data): Fetch the protocol name if
	this is an add dialog
	(validate_data): Implement
	(response_cb): Call validate_data

	* service-info.c (service_info_new): Don't strdup the protocol if
	it is NULL

	* service-edit-dialog.c (store_data): Use
	gtk_tree_model_row_inserted if this is an add dialog; also
	construct an iter in that case
	(service_edit_dialog_dispose): Free the iter
	(service_edit_dialog_finalize): Don't free the iter here

	* file-types-capplet.c (add_service_cb): Implement
	(create_dialog): Connect addd_service_button to add_service_cb

	* service-edit-dialog.c: Add property is-add
	(service_add_dialog_new): Implement
	(setup_add_dialog): Implement

	* mime-category-edit-dialog.c (fill_dialog): Desensitize component
	select
	(populate_application_list): Desensitize application select if
	there are no applications
	(fill_dialog): Flip logic on category defaults toggle sensitivity

	* service-edit-dialog.c (populate_app_list): Desensitize program
	select if there are no programs
	(fill_dialog): Use service_info_get_description for description
	entry

	* mime-edit-dialog.c (store_data): Construct an iterator if the
	one given is NULL
	(store_data): Don't notify row deletion if the object was not in
	the model to begin with
	(store_data): Don't fetch the old path if this is an add dialog
	(populate_component_list): Desensitize the component select box if
	there are no components
	(populate_application_list): Ditto

	* mime-type-info.c (mime_type_info_new): Initialize the parent
	field even if the mime type field is NULL
	(mime_type_info_get_category_name): Don't crash if the parent
	field is NULL

	* mime-edit-dialog.c (store_data): Generate random MIME type if
	not already set
	(validate_data): Implement. Make sure all the data entered are valid
	(response_cb): Call validate_data

	* file-types-capplet.c (remove_cb): Check the entry type and
	notify the tree of the deletion; update according to earlier
	changes

	* mime-edit-dialog.c: Add property is-add
	(setup_add_dialog): Implement
	(add_ext_cb): Clear the entry after adding
	(choose_cat_cb): Pack the tree in a scrolled window
	(choose_cat_cb): Set the minimum size on the dialog to 300x300

	* mime-type-info.c (mime_type_info_free): Free icon_path

	* mime-edit-dialog.c (fill_dialog): Set icon entry with the full
	path of the icon

	* mime-type-info.c (mime_type_info_get_icon_path):
	Implement. Factor from get_pixbuf

	* mime-edit-dialog.c (store_data): Reset the icon pixbufs so that
	they get reloaded

	* mime-type-info.c (get_icon_pixbuf): Use
	gnome_vfs_icon_path_from_filename and install the nautilus/ hack
	from the old capplet *sigh*

2002-01-24  Bradford Hovinen  <hovinen@ximian.com>

	* file-types-capplet.c (launch_edit_dialog): Implement. Factor
	from edit_cb, row_activated_cb

	* mime-type-info.c (mime_type_info_save): Disable setting edit,
	print lines

2002-01-14  Bradford Hovinen  <hovinen@ximian.com>

	* mime-type-info.c (mime_type_info_update): Reparent the iterator
	if necessary
	(mime_type_info_update): Don't call reinsert_model_entry

	* mime-types-model.c (insert_mime_type): Implement. Factor from
	mime_types_model_new

	* mime-category-edit-dialog.c (populate_application_list):
	Implement. Mostly a copy from the corresponding function in
	mime-edit-dialog.c

	* mime-types-model.c (get_insertion_point): Make this public
	(find_supported_apps_for_category, reduce_supported_app_list) 
	(intersect_lists, find_possible_supported_apps): Implement

	* mime-edit-dialog.c (fill_dialog): Fill category_entry
	(choose_cat_cb): Implement
	(mime_edit_dialog_init): Connect choose_button to choose_cat_cb

	* mime-type-info.c (mime_type_info_load): Load category name
	(mime_type_info_save): Call reinsert_iter to affect category name
	change

	* mime-types-model.c (mime_types_model_new): Add parameter
	is_category_select; TRUE iff this model should be only for
	selecting a category and not list the actual file types or
	Internet services
	(get_category_name): Implement

	* mime-edit-dialog.c (mime_edit_dialog_init): Add category_label
	to first size group

2002-01-13  Bradford Hovinen  <hovinen@ximian.com>

	* file-types-capplet.c (edit_cb, row_activated_cb): Don't try to
	create a category edit dialog if this is the Internet Services
	category
	(count_cb): Only count other than internet services category

	* mime-types-model.c (model_entry_is_category): Implement
	(model_entry_is_protocol): Use categories[INTERNET_SERVICES_IDX]
	rather than string
	(model_entry_is_internet_services_category): Implement

	* Makefile.am (gnome_file_types_properties_SOURCES): Add
	mime-category-edit-dialog.[ch]

	* file-types-capplet.c (edit_cb): Construct a category edit dialog
	if the tree iterator has children
	(row_activated_cb): Ditto

2002-01-11  Bradford Hovinen  <hovinen@ximian.com>

	* file-types-capplet.c (selection_changed_cb): Implement
	(count_cb): Implement
	(create_dialog): Connect changed signal on treeview selection to
	selection_changed_cb
	(create_dialog): Desensitize edit button
	(remove_cb): Call selection_changed_cb
	(add_cb): Rename to add_mime_cb
	(create_dialog): Update add_button -> add_mime_button

	* mime-edit-dialog.c (default_action_changed_cb): Set sensitivity
	of needs_terminal_toggle
	(store_data): Set needs_terminal
	(fill_dialog): Set needs_terminal_toggle

	* mime-type-info.c (mime_type_info_free): Remove from dirty list
	(mime_type_info_save): Use libuuid to generate a unique ID for the
	custom app
	(mime_type_info_load): Check for custom line based on name
	(mime_type_info_load): Fetch needs_terminal
	(mime_type_info_save): Store info->needs_terminal in app

	* mime-edit-dialog.c (populate_application_list): Don't check
	default action id if default action is NULL

	* mime-type-info.c (mime_type_info_free): Remove data from
	mime_type_table

	* service-info.c (service_info_free): Free the info structure

	* mime-type-info.c (mime_type_info_load): Ditto below

	* service-info.c (service_info_load): Use service_info_table as a
	cache
	(service_info_free): Remove data from service_info_table

	* mime-edit-dialog.c (populate_application_list): Use custom_line
	for program_entry

	* mime-type-info.c (mime_type_info_load): Read custom_line from
	default_action
	(mime_type_info_save): Set custom line through GnomeVFS app
	registry

	* file-types-capplet.c (row_activated_cb): Implement. Callback for
	row_activated signal

	* mime-edit-dialog.c (add_ext_cb): Don't create a separate dialog;
	just read from new_ext_entry

	* service-info.c (get_apps_for_service_type): Implement

	* service-edit-dialog.c (program_changed_cb): Implement
	(service_edit_dialog_init): Connect program_select changed signal
	(populate_app_list): Fill app menu with results from
	get_apps_for_service_type

	* service-info.c (fill_service_apps): Implement

	* service-edit-dialog.c (store_data): Retrieve app info from
	option menu

	* file-types-capplet.c (apply_cb): Commit the changeset
	(main): Construct a changeset
	(edit_cb): Pass the changeset to service_info_new

	* service-info.c (set_string): Don't set the value if it is NULL
	(service_info_load): Store changeset in info structure
	(service_info_save): Don't require a changeset; use the one stored
	in the structure

	* service-edit-dialog.c (store_data): Call service_info_save

	* mime-edit-dialog.c (add_ext_cb): Terminate column list with -1

	* service-edit-dialog.c (store_data): Call service_info_update

	* mime-edit-dialog.c (store_data): Call mime_type_info_update

	* mime-type-info.c (mime_type_info_update): Implement. Updates the
	model with data from the structure

	* service-info.c (service_info_update): Implement. Updates the
	model with data from the structure

	* mime-type-info.c (form_extensions_string): Implement. Factor
	from mime_type_info_save

	* service-info.c (service_info_load): Accept model and iter rather
	than protocol name; read protocol name from model

	* mime-type-info.c (mime_type_info_load): Accept model and iter
	rather than mime type; read the mime type from the model

	* mime-types-model.c (get_icon_pixbuf): Make this public

	* service-edit-dialog.c (fill_dialog): Set the protocol entry
	insensitive if the protocol is already set; don't put unknown in
	the protocol entry

	* mime-types-model.c: Include gnome-vfs-mime-info.h

	* service-info.c (get_string): Call get_description_for_protocol
	if we are fetching the description and it is not in the changeset

	* mime-types-model.c (get_description_for_protocol): Make this
	public

	* service-edit-dialog.c (store_data): Implement
	(program_sensitive_cb): Implement
	(response_cb): Call store_data if response_id is OK
	(service_edit_dialog_init): Connect toggled signal on
	run_program_toggle to program_sensitive_cb

	* mime-type-info.h: Add #include gnome-vfs-mime-info.h

	* service-edit-dialog.c (populate_app_list): Implement

	* mime-edit-dialog.c (populate_component_list): Make sure custom
	menu item is shown

2002-01-04  Bradford Hovinen  <hovinen@ximian.com>

	* Makefile.am: Clean up

2001-12-09  Havoc Pennington  <hp@pobox.com>

	* file-types-capplet.c: remove no-longer-existing header
	gnome-vfs-mime-info.h so it compiles

	* file-types-capplet-dialogs.c: ditto
	
2001-12-08  Richard Hestilow  <hestilow@ximian.com>

	* file-types-capplet.c: Port away from libcapplet.
	
	* file-types-capplet-dialogs.c: Don't include capplet-widget.h.

Tue Dec  4 00:46:45 2001  Owen Taylor  <otaylor@redhat.com>

	* file-types-icon-entry.h: Use G_BEGIN_DECLS/G_END_DECLS.

2001-07-27  Bradford Hovinen  <hovinen@ximian.com>

	* RELEASE : 1.5.2

2001-07-24  Chema Celorio  <chema@celorio.com>

	* file-types-capplet.c (create_mime_list_and_scroller): add a usize
	the GUI sucks, we need to revisit the gui SOON !

2001-07-22  Zbigniew Chyla  <cyba@gnome.pl>

	* file-types.desktop.in.in:
	s/Name/_Name/
	s/Comment/_Comment/

2001-07-20  Chema Celorio  <chema@celorio.com>

	* RELEASE : 1.5.0

